# -*- coding: utf-8 -*-

from djadmin import ExportExcelModelAdmin, ReadonlyModelAdmin
from django.contrib import admin
from TimeConvert import TimeConvert as tc

from tamron.models import (TamronActivityInfo, TamronClassInfo, TamronNavInfo, TamronProductInfo, TamronRegisterInfo,
                           TamronServiceInfo, TamronSliderInfo, TamronUserInfo)


class TamronSliderInfoAdmin(admin.ModelAdmin):
    list_display = ('fid', 'pic', 'url', 'px')
    list_filter = ('fid', )


class TamronNavInfoAdmin(admin.ModelAdmin):
    list_display = ('lanmu', 'pic', 'url', 'px')
    list_filter = ('lanmu', )


class TamronRegisterInfoAdmin(admin.ModelAdmin):
    list_display = ('fid', 'title', 'px')
    list_filter = ('fid', )


class TamronUserInfoAdmin(admin.ModelAdmin):
    list_display = ('user', 'sex', 'zhiwei', 'tel', 'email', 'pinpai', 'xinghao', 'gzleixing', 'gxtedian')
    list_filter = ('sex', 'zhiwei', 'pinpai', 'xinghao')


class TamronProductInfoAdmin(admin.ModelAdmin):
    list_display = ('msg_id', 'xuliehao', 'xinghao', 'kakou', 'gtime', 'ctime')
    list_filter = ('xinghao', 'kakou')


class TamronActivityInfoAdmin(admin.ModelAdmin):
    list_display = ('pic', 'title', 'description', 'seo_key', 'seo_des', 'isindex', 'px', 'ctime')
    readonly_fields = ('ctime', )

    def save_model(self, request, obj, form, change):
        obj.ctime = tc.local_string(format='%Y-%m-%d')
        obj.save()


class TamronClassInfoAdmin(admin.ModelAdmin):
    list_display = ('pic', 'title', 'description', 'seo_key', 'seo_des', 'isindex', 'px', 'ctime')
    readonly_fields = ('ctime', )

    def save_model(self, request, obj, form, change):
        obj.ctime = tc.local_string(format='%Y-%m-%d')
        obj.save()


class TamronServiceInfoAdmin(admin.ModelAdmin):
    list_display = ('title', 'content', 'seo_key', 'seo_des', 'px')


admin.site.register(TamronSliderInfo, TamronSliderInfoAdmin)
admin.site.register(TamronNavInfo, TamronNavInfoAdmin)
admin.site.register(TamronRegisterInfo, TamronRegisterInfoAdmin)
admin.site.register(TamronUserInfo, TamronUserInfoAdmin)
admin.site.register(TamronProductInfo, TamronProductInfoAdmin)
admin.site.register(TamronActivityInfo, TamronActivityInfoAdmin)
admin.site.register(TamronClassInfo, TamronClassInfoAdmin)
admin.site.register(TamronServiceInfo, TamronServiceInfoAdmin)
